Bug 442878 - the definition order in httpd.conf causes problems for modules such as mod_fastcgi
the definition order in httpd.conf causes problems for modules such as mod_fa...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 07:26 EDT by David Dick
Modified: 2012-04-12 16:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-12 16:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for httpd.conf (754 bytes, patch)
2008-04-17 07:26 EDT, David Dick
no flags Details | Diff

  None (edit)
Description David Dick 2008-04-17 07:26:08 EDT
Description of problem:

mod_fastcgi depends on the 'User apache' and 'Group apache' statement in
httpd.conf.  However, User and Group are defined after the 'Include
conf.d/*.conf' statement, so when mod_fastcgi is loaded via a conf.d script, it
fails to load.  mod_fastcgi uses these values to evaluate whether or not it's
directories have correct permissions before starting.

Version-Release number of selected component (if applicable):2.2.8-1


How reproducible:

Steps to Reproduce:
1. less /etc/httpd/conf/httpd.conf
2.
3.
  
Actual results:

User and Group are defined after the Include conf.d/*.conf

Expected results:

User and Group are defined before the Include conf.d/*.conf

Additional info:
Comment 1 David Dick 2008-04-17 07:26:08 EDT
Created attachment 302735 [details]
patch for httpd.conf
Comment 2 Bug Zapper 2008-05-14 05:34:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:14:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Weyl 2009-06-10 00:48:14 EDT
Looks like the ordering is still out of sequence...  Resetting to rawhide.
Comment 5 Bug Zapper 2009-11-16 03:04:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-11-04 07:57:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Robin Powell 2011-08-07 04:01:57 EDT
This isn't just a problem with things like fastcgi, it's a general mistake.

Example: it is impossible to set up per-user public_html directories via conf.d, because *after* the Include, the "UserDir disabled" line appears.  The main config must be touched directly, which defeats the purpose of conf.d

Basically, *anything* that appears after the Include will override *anything* in conf.d, making conf.d useless for a whole slew of problems.

Please move the Include down to the bottom of the main config file.

-Robin
Comment 8 Joe Orton 2012-04-12 16:12:39 EDT
Inclusion of conf.d/*.conf is the last line in httpd.conf in f18.  The default httpd.conf is also stripped down to a minimal config to remove the need to modify it in most cases.

Note You need to log in before you can comment on or make changes to this bug.